# ELECU
Elections-Ecuador (ELECU) es un proyecto de codigo abierto basado en Python diseniado para mejorar la accesibilidad y el analisis de los resultados electorales oficiales en Ecuador. Este proyecto proporciona una biblioteca de Python para recuperar y analizar eficientemente los resultados de las elecciones de Ecuador. La informacion oficial es proporcionada por el Consejo Nacional Electoral del Ecuador.
# Descripcion



Para mas informacion revisar el documento de [Contexto](assests/Context.md)
# Datos Oficiales
Los datos oficiales son proporcionados por el Consejo Nacional Electoral del Ecuador.

## Descarga
Los datos oficiales se encuentran disponibles en el [portal de datos abiertos del CNE](https://www.cne.gob.ec/estadisticas/bases-de-datos/)
![CNE](assests/CNE_bases_de_datos.png)



* Para mas informacion revisar el documento de [Contexto](assests/Context.md)   
## Procesamiento
## Lugar de Almacenamiento de los Datos Procesados

# Requisitos
Python 3.7 o superior, compatible con Pandas, Numpy, Geopandas, Matplotlib, Seaborn, entre otros.

# Instalacion
```bash
pip install elecu
```

# Uso

```python
import elecu
```


# Licencia del Proyecto
Este proyecto esta bajo la licencia GNU_GPL3. Para mas informacion revisar el archivo [LICENSE](LICENSE.TXT)
## Licencia de los Datos
Los datos oficiales son de dominio publico. 

### Ley de datos personales en Ecuador
El Ecuador desde el anio 2021 cuenta con una Ley de Proteccion de Datos Personales. Para mas informacion revisar el [Documento](https://www.finanzaspopulares.gob.ec/wp-content/uploads/2021/07/ley_organica_de_proteccion_de_datos_personales.pdf) de la ley.

Para no infringir la ley, se debe tener en cuenta que los datos personales deben ser tratados con confidencialidad y seguridad.
Y para este proyecto se tomara en cuenta el [Artículo 36](assests/art36.md):

# Contacto
Para cualquier duda o comentario, por favor contactar a Kristian Mendoza o al USFQ Datahub.

# Contribuciones o Dudas
Para contribuir o reportar errores, por favor abrir un issue en el repositorio de GitHub.

# Citacion
Para citar este proyecto, por favor use la siguiente referencia:
```
@misc{ELECU,
  author = {Kristian Mendoza},
    title = {ELECU},
    year = {2023},
    publisher = {GitHub},
    journal = {GitHub repository},    
}
```
# Agracedimientos
Agradecemos a las siguientes personas por su contribucion al proyecto:
Kristian Mendoza,
Pablo Medina,
Pablo Astudillo,
el USFQ Datahub,
y a todos los que han contribuido al proyecto.


# Informacion Legal
